import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsErrAlertReceiver } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-30 17:24
 */
interface MsErrAlertReceiverCU extends ConditionUtil<MsErrAlertReceiverCU> {
    ID: FieldUtil<MsErrAlertReceiverCU>;
    SERVICE_CENTER_ID: FieldUtil<MsErrAlertReceiverCU>;
    USER_ID: FieldUtil<MsErrAlertReceiverCU>;
    TELEPHONE: FieldUtil<MsErrAlertReceiverCU>;
    CREATE_USER_ID: FieldUtil<MsErrAlertReceiverCU>;
    UPDATE_USER_ID: FieldUtil<MsErrAlertReceiverCU>;
    DELETED: FieldUtil<MsErrAlertReceiverCU>;
    CREATE_TIME: FieldUtil<MsErrAlertReceiverCU>;
    UPDATE_TIME: FieldUtil<MsErrAlertReceiverCU>;
}
declare class MsErrAlertReceiverMU extends TableUtilImpl<MsErrAlertReceiverCU, MsErrAlertReceiver> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsErrAlertReceiverCU;
    static get ID(): FieldUtil<MsErrAlertReceiverCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    static get USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    static get TELEPHONE(): FieldUtil<MsErrAlertReceiverCU>;
    static get CREATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    static get UPDATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    static get DELETED(): FieldUtil<MsErrAlertReceiverCU>;
    static get CREATE_TIME(): FieldUtil<MsErrAlertReceiverCU>;
    static get UPDATE_TIME(): FieldUtil<MsErrAlertReceiverCU>;
    get ID(): FieldUtil<MsErrAlertReceiverCU>;
    get SERVICE_CENTER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    get USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    get TELEPHONE(): FieldUtil<MsErrAlertReceiverCU>;
    get CREATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    get UPDATE_USER_ID(): FieldUtil<MsErrAlertReceiverCU>;
    get DELETED(): FieldUtil<MsErrAlertReceiverCU>;
    get CREATE_TIME(): FieldUtil<MsErrAlertReceiverCU>;
    get UPDATE_TIME(): FieldUtil<MsErrAlertReceiverCU>;
}
export { MsErrAlertReceiverMU, MsErrAlertReceiverCU };
